Subject: Re: Make-Problem Postgres on Cygwin
From: Jason Tishler <[email-masked]>
To: Tarabas <[email-masked]>
Cc: Cygwin <[email-masked]>, Pgsql-Cygwin <[email-masked]>
Date: Sat, 23 Nov 2002 09:39:16 -0500

Manuel,

Sigh...

Repeat after me:

    Post instead of sending private email.

    Keep replies on-list.

    Post instead of sending private email.

    Keep replies on-list.

    ...

On Fri, Nov 22, 2002 at 06:48:39PM +0100, Tarabas wrote:
> Thanks a lot for your help! The "make" and "make install" worked fine
> after the patch BUT I sadly have to bother you again.
> 
> After I did the ./initdb /usr/local/pgsql/data
> and the ./postmaster -D /usr/local/pgsql/data -i &
> 
> and then tried to do ANYTHING on the DB (either connecting via pgAdmin
> oder createdb or createuser), I get the Message:
> 
> "FATAL 1: IndexSupportInitialize: bogus pg_index tuple"
> 
> Any suggestions ?!

No.  I just ran a gcc3 postmaster (i.e., postgres.exe) against a
previously initialized database without any problems.  From posts to
pgsql-cygwin@, I'm under the impression that others have successfully
built, initialized (i.e., ran initdb), and ran postmaster with my
supplied patches.

> I used the gcc3-patch to compile postgres. Initdb ran fine without any
> errors and the postmaster started fine too. Could this still be
> related to that patch ?!

I don't think so.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/